# Class PropertyIteratorImpl

java.lang.Object
org.apache.jmeter.testelement.property.PropertyIteratorImpl

All Implemented Interfaces:
  `PropertyIterator`

public class PropertyIteratorImpl extends Object implements PropertyIterator

## Constructor Summary

Constructors
Constructor
Description
`PropertyIteratorImpl(Collection<JMeterProperty> value)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`JMeterProperty`
`next()`
`void`
`remove()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PropertyIteratorImpl

public PropertyIteratorImpl(Collection<JMeterProperty> value)

## Method Details

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `PropertyIterator`

### next

public JMeterProperty next()

Specified by:
  `next` in interface `PropertyIterator`

### remove

public void remove()

Specified by:
  `remove` in interface `PropertyIterator`